import request from '@/utils/request'

// 查询支（吊）架列表
export function listFrameModel(query) {
  return request({
    url: '/pssr/frameModel/list',
    method: 'get',
    params: query
  })
}

// 查询支（吊）架详细
export function getFrameModel(id) {
  return request({
    url: '/pssr/frameModel/' + id,
    method: 'get'
  })
}

// 新增支（吊）架
export function addFrameModel(data) {
  return request({
    url: '/pssr/frameModel',
    method: 'post',
    data: data
  })
}

// 修改支（吊）架
export function updateFrameModel(data) {
  return request({
    url: '/pssr/frameModel',
    method: 'put',
    data: data
  })
}

// 删除支（吊）架
export function delFrameModel(id) {
  return request({
    url: '/pssr/frameModel/' + id,
    method: 'delete'
  })
}

// 导出支（吊）架
export function exportFrameModel(query) {
  return request({
    url: '/pssr/frameModel/export',
    method: 'get',
    params: query
  })
}